
Foreman - Bug #5763

aptitude full-upgrade 1.5.0-rc1 to 1.5.0-rc2 failed

05/16/2014 06:17 PM - Artur Martins

Status: Duplicate   

Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.5.0

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

aptitude full-upgrade

The following partially installed packages will be configured:

foreman foreman-assets foreman-compute foreman-postgresql foreman-test ruby-foreman-bootdisk

No packages will be installed, upgraded, or removed.

0 packages upgraded, 0 newly installed, 0 to remove and 0 not upgraded.

Need to get 0 B of archives. After unpacking 0 B will be used.

Setting up foreman (1.5.0-1) ...

dpkg: error processing foreman (--configure):

subprocess installed post-installation script returned error exit status 7

dpkg: dependency problems prevent configuration of foreman-assets:

foreman-assets depends on foreman; however:

Package foreman is not configured yet.

dpkg: error processing foreman-assets (--configure):

dependency problems - leaving unconfigured

dpkg: dependency problems prevent configuration of foreman-compute:

foreman-compute depends on foreman; however:

Package foreman is not configured yet.

dpkg: error processing foreman-compute (--configure):

dependency problems - leaving unconfigured

dpkg: dependency problems prevent configuration of foreman-postgresql:

foreman-postgresql depends on foreman; however:

Package foreman is not configured yet.

dpkg: error processing foreman-postgresql (--configure):

dependency problems - leaving unconfigured

dpkg: dependency problems prevent configuration of foreman-test:

foreman-test depends on foreman; however:

Package

No apport report written because MaxReports is reached already

No apport report written because MaxReports is reached already

No apport report written because MaxReports is reached already

No apport report written because MaxReports is reached already

No apport report written because MaxReports is reached already

No apport report written because MaxReports is reached already

foreman is not configured yet.

dpkg: error processing foreman-test (--configure):

dependency problems - leaving unconfigured

dpkg: dependency problems prevent configuration of ruby-foreman-bootdisk:

ruby-foreman-bootdisk depends on foreman; however:

Package foreman is not configured yet.

dpkg: error processing ruby-foreman-bootdisk (--configure):

dependency problems - leaving unconfigured

Errors were encountered while processing:

foreman

foreman-assets
foreman-compute

foreman-postgresql

foreman-test

ruby-foreman-bootdisk

E: Sub-process /usr/bin/dpkg returned an error code (1)

A package failed to install.  Trying to recover:

Setting up foreman (1.5.0-1) ...

dpkg: error processing foreman (--configure):

subprocess installed post-installation script returned error exit status 7

dpkg: dependency problems prevent configuration of ruby-foreman-bootdisk:

ruby-foreman-bootdisk depends on foreman; however:

Package foreman is not configured yet.

dpkg: error processing ruby-foreman-bootdisk (--configure):

dependency problems - leaving unconfigured

dpkg: dependency problems prevent configuration of foreman-assets:

foreman-assets depends on foreman; however:

Package foreman is not configured yet.

dpkg: error processing foreman-assets (--configure):

dependency problems - leaving unconfigured

dpkg: dependency problems prevent configuration of foreman-postgresql:

foreman-postgresql depends on foreman; however:

Package foreman is not configured yet.

dpkg: error processing foreman-postgresql (--configure):

dependency problems - leaving unconfigured

dpkg: dependency problems prevent configuration of foreman-compute:

foreman-compute depends on foreman; however:

Package foreman is not configured yet.

dpkg: error processing foreman-compute (--configure):

dependency problems - leaving unconfigured

dpkg: dependency problems prevent configuration of foreman-test:

foreman-test depends on foreman; however:

Package foreman is not configured yet.

dpkg: error processing foreman-test (--configure):

dependency problems - leaving unconfigured

Errors were encountered while processing:

foreman

ruby-foreman-bootdisk

foreman-assets

foreman-postgresql

foreman-compute

foreman-test

 /var/log/aptitude

Aptitude 0.6.6: log report

Fri, May 16 2014 18:05:53 +0000

IMPORTANT: this log only lists intended actions; actions which fail due to

dpkg problems may not be completed.

Will install 0 packages, and remove 0 packages.

===============================================================================

[UNCONFIGURED] foreman:amd64

[UNCONFIGURED] foreman-assets:amd64

[UNCONFIGURED] foreman-compute:amd64

[UNCONFIGURED] foreman-postgresql:amd64

[UNCONFIGURED] foreman-test:amd64

[UNCONFIGURED] ruby-foreman-bootdisk:amd64

===============================================================================

Log complete.

Related issues:

Is duplicate of Packaging - Bug #5691: Debian: Foreman core and plugin upgrad... Closed 05/13/2014
History

#1 - 05/16/2014 06:23 PM - Artur Martins

Solution:

1. aptitude remove foreman

2. aptitude install foreman foreman-compute foreman-postgresql foreman-test

#2 - 05/19/2014 07:15 AM - Dominic Cleal

- Is duplicate of Bug #5691: Debian: Foreman core and plugin upgrade fails added

#3 - 05/19/2014 07:16 AM - Dominic Cleal

- Status changed from New to Duplicate

Thanks for the report, I think this might be the same issue as #5691 where an upgrade of foreman and plugins can go awry due to how bundler is

used in the packages.  Upgrading plugins first might be the best way to work around it - glad you got it updated though.
